<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Izg project: Window Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Izg project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">Window Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This struct represents SDL window.  
 <a href="structWindow.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="window_8h_source.html">window.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ae39a7755a5a6ab74bcbdbe3e2e206820"><td class="memItemLeft" align="right" valign="top"><a id="ae39a7755a5a6ab74bcbdbe3e2e206820"></a>
SDL_Window *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structWindow.html#ae39a7755a5a6ab74bcbdbe3e2e206820">window</a></td></tr>
<tr class="memdesc:ae39a7755a5a6ab74bcbdbe3e2e206820"><td class="mdescLeft">&#160;</td><td class="mdescRight">window <br /></td></tr>
<tr class="separator:ae39a7755a5a6ab74bcbdbe3e2e206820"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a42da4979d383bb3556f62df57952e5"><td class="memItemLeft" align="right" valign="top"><a id="a1a42da4979d383bb3556f62df57952e5"></a>
SDL_Surface *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structWindow.html#a1a42da4979d383bb3556f62df57952e5">surface</a></td></tr>
<tr class="memdesc:a1a42da4979d383bb3556f62df57952e5"><td class="mdescLeft">&#160;</td><td class="mdescRight">surface <br /></td></tr>
<tr class="separator:a1a42da4979d383bb3556f62df57952e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b52309ef359b6392454a3bb57398b5d"><td class="memItemLeft" align="right" valign="top"><a id="a2b52309ef359b6392454a3bb57398b5d"></a>
SDL_Renderer *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structWindow.html#a2b52309ef359b6392454a3bb57398b5d">renderer</a></td></tr>
<tr class="memdesc:a2b52309ef359b6392454a3bb57398b5d"><td class="mdescLeft">&#160;</td><td class="mdescRight">SDL2 renderer. <br /></td></tr>
<tr class="separator:a2b52309ef359b6392454a3bb57398b5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e076f6f94c096513fa91d0588222993"><td class="memItemLeft" align="right" valign="top"><a id="a7e076f6f94c096513fa91d0588222993"></a>
int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structWindow.html#a7e076f6f94c096513fa91d0588222993">running</a></td></tr>
<tr class="memdesc:a7e076f6f94c096513fa91d0588222993"><td class="mdescLeft">&#160;</td><td class="mdescRight">is main loop running <br /></td></tr>
<tr class="separator:a7e076f6f94c096513fa91d0588222993"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a054598f068dfafd211d76b092b3de669"><td class="memItemLeft" align="right" valign="top"><a id="a054598f068dfafd211d76b092b3de669"></a>
EventCallback *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structWindow.html#a054598f068dfafd211d76b092b3de669">eventCallback</a></td></tr>
<tr class="memdesc:a054598f068dfafd211d76b092b3de669"><td class="mdescLeft">&#160;</td><td class="mdescRight">event callbacks (hash table would be nicer...) <br /></td></tr>
<tr class="separator:a054598f068dfafd211d76b092b3de669"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a149e9e3b4ca65e5feb3a492b3a3eaca1"><td class="memItemLeft" align="right" valign="top"><a id="a149e9e3b4ca65e5feb3a492b3a3eaca1"></a>
void **&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structWindow.html#a149e9e3b4ca65e5feb3a492b3a3eaca1">callbackData</a></td></tr>
<tr class="memdesc:a149e9e3b4ca65e5feb3a492b3a3eaca1"><td class="mdescLeft">&#160;</td><td class="mdescRight">data for event callbacks <br /></td></tr>
<tr class="separator:a149e9e3b4ca65e5feb3a492b3a3eaca1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca8fcf0113fd079f5bc4050c1f72a93b"><td class="memItemLeft" align="right" valign="top"><a id="aca8fcf0113fd079f5bc4050c1f72a93b"></a>
IdleCallback&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structWindow.html#aca8fcf0113fd079f5bc4050c1f72a93b">idleCallback</a></td></tr>
<tr class="memdesc:aca8fcf0113fd079f5bc4050c1f72a93b"><td class="mdescLeft">&#160;</td><td class="mdescRight">idle/draw callback <br /></td></tr>
<tr class="separator:aca8fcf0113fd079f5bc4050c1f72a93b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91eae2aff16e63ff29644aa0d287abb1"><td class="memItemLeft" align="right" valign="top"><a id="a91eae2aff16e63ff29644aa0d287abb1"></a>
void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structWindow.html#a91eae2aff16e63ff29644aa0d287abb1">idleCallbackData</a></td></tr>
<tr class="memdesc:a91eae2aff16e63ff29644aa0d287abb1"><td class="mdescLeft">&#160;</td><td class="mdescRight">idle/draw callback data <br /></td></tr>
<tr class="separator:a91eae2aff16e63ff29644aa0d287abb1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This struct represents SDL window. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>student/<a class="el" href="window_8h_source.html">window.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Apr 23 2019 13:21:21 for Izg project by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
